Check a receipt
Submit a receipt and the expected payment details. The result is returned in the same response. First request · Payment parameters · Read the result.
Authorization
HTTPBearer In: header
Header Parameters
A key for this check attempt. If the response is lost, repeat the same request with this key within 24 hours.
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/checks" \ -F file="@receipt.pdf" \ -F expectation="{\"bank\":\"kz.kaspi\",\"amount\":2000.0,\"currency\":\"KZT\",\"recipient\":{\"name\":\"Алексей Петров\"},\"window\":{\"from_\":\"2026-09-09T10:00:00+03:00\",\"to\":\"2026-09-09T11:00:00+03:00\"}}" \ -F external_id="payment-123" \ -F external_user_id="customer:00042"{ "id": "chk_example", "status": "done", "created_at": "2026-09-09T10:35:00+03:00", "tenant_id": "ten_example", "external_id": "payment-123", "external_user_id": "customer:00042", "profile": "kz.kaspi", "profile_version": 4, "mode": "pdf", "document": { "verdict": "genuine", "family": null, "checks": [] }, "fields": { "bank": "kz.kaspi", "amount": 2000, "currency": "KZT", "type": "client_transfer", "status_ok": true, "receipt_number": null, "paid_at": "2026-09-09T10:30:00+03:00", "paid_at_source": null, "recipient_name": "Алексей П.", "recipient_account": null, "payment_reference": null, "purpose": null, "sender_name": null, "commission": null, "source": null, "language": null, "confidence": {} }, "match": { "bank": true, "amount": true, "currency": true, "recipient": true, "window": true, "type": true, "status": true, "payment_reference": null }, "replay": { "seen_before": false, "duplicate_of": null, "keys_matched": [] }, "recommendation": "accept", "reasons": [], "error": null}